# The MEME Suite

## Motif-based sequence analysis tools

## purge

### Usage:

`purge <file> <score> [options]`

### Description

Purge removes redundant sequences from a FASTA file. This is recommended in order to prevent highly similar sequences distorting the search for motifs. Purge was written by Andy Neuwald and is described in more detail in Neuwald et al., "Gibbs motif sampling: detection of bacterial outer membrane protein repeats", Protein Science, 4:1618--1632, 1995.

Purge works with either DNA or protein sequences and creates an output file such that no two sequences have a (gapless) local alignment score greater than a threshold specified by the user. The alignment score is based on the BLOSUM62 matrix for proteins, and on a +5/-1 scoring scheme for DNA. Purge can also be used to mask tandem repeats. It uses the XNU program for this purpose.

Warning: Purge's running time is quadratic in the size of its input. So purging a file twice as large takes four times as long.

### Input

#### <file>

The name of a file containing FASTA formatted sequences. This file will be overwritten!

#### <score>

The minimum local alignment score threshold for discarding similar sequences.

### Output

Purge overwrites the original FASTA sequence file with the purged sequences.

### Options

Option | Parameter | Description | Default Behavior
--- | --- | --- | ---
General Options
-n |  | Sequences are treated as DNA. | Sequences are treated as protein.
-b |  | Use BLAST heuristic method. | Protein sequences use the BLAST heuristic method and DNA sequences use the exhaustive method.
-e |  | Use an exhaustive method. | Protein sequences use the BLAST heuristic method and DNA sequences use the exhaustive method.
-q |  | Always keep the first sequence in the set. | The first sequence may be removed.
-x |  | Use the XNU program to mask protein tandem repeats. This option is only compatible with protein sequences. | Protein tandem repeats are not masked.
-o |  | Write output to standard output. | Output is to a file with the same name as the input file with ".<method ('b' or 'e')><score>" appended.